Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

My wallpaper in Unity started behaving strangely some weeks ago and after much searching I finally understood it was Cinnamon messing it. I never installed Cinnamon myself, but use - I mean used - Nemo. In the package catalogue there's no reference to Cinnamon packages as dependencies, but they surely got installed. There's something I can't explain though: I installed Nemo back in October, right after upgrading to Ubuntu 13.10, for about 2 months Unity cohabited with Nemo seamlessly; I suspect Cinnamon only got installed during an upgrade.

The question is now why is the Nemo dependency list fetched by apt-get different from the one in the package catalogue:

$ sudo apt-get install nemo
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  cinnamon cinnamon-bluetooth cinnamon-common cinnamon-control-center cinnamon-control-center-data cinnamon-desktop-data cinnamon-screensaver cinnamon-session cinnamon-session-common
  cinnamon-settings-daemon cinnamon-translations cjs gir1.2-accountsservice-1.0 gir1.2-cinnamondesktop-3.0 gir1.2-gkbd-3.0 gir1.2-gtkclutter-1.0 gir1.2-muffin-3.0 gir1.2-polkit-1.0
  gir1.2-upowerglib-1.0 gir1.2-xkl-1.0 libcinnamon-control-center1 libcinnamon-desktop0 libcjs0c libmozjs185-1.0 libmuffin0 libopencv-calib3d2.4 libopencv-contrib2.4 libopencv-core2.4
  libopencv-features2d2.4 libopencv-flann2.4 libopencv-highgui2.4 libopencv-imgproc2.4 libopencv-legacy2.4 libopencv-ml2.4 libopencv-objdetect2.4 libopencv-photo2.4 libopencv-video2.4 libtbb2
  muffin-common nemo-data nemo-fileroller python-opencv python-support
Recommended packages:
  gir1.2-cjsdbus-1.0
The following NEW packages will be installed
  cinnamon cinnamon-bluetooth cinnamon-common cinnamon-control-center cinnamon-control-center-data cinnamon-desktop-data cinnamon-screensaver cinnamon-session cinnamon-session-common
  cinnamon-settings-daemon cinnamon-translations cjs gir1.2-accountsservice-1.0 gir1.2-cinnamondesktop-3.0 gir1.2-gkbd-3.0 gir1.2-gtkclutter-1.0 gir1.2-muffin-3.0 gir1.2-polkit-1.0
  gir1.2-upowerglib-1.0 gir1.2-xkl-1.0 libcinnamon-control-center1 libcinnamon-desktop0 libcjs0c libmozjs185-1.0 libmuffin0 libopencv-calib3d2.4 libopencv-contrib2.4 libopencv-core2.4
  libopencv-features2d2.4 libopencv-flann2.4 libopencv-highgui2.4 libopencv-imgproc2.4 libopencv-legacy2.4 libopencv-ml2.4 libopencv-objdetect2.4 libopencv-photo2.4 libopencv-video2.4 libtbb2
  muffin-common nemo nemo-data nemo-fileroller python-opencv python-support
0 upgraded, 44 newly installed, 0 to remove and 2 not upgraded.
Need to get 0 B/22.5 MB of archives.
After this operation, 64.0 MB of additional disk space will be used.
Do you want to continue [Y/n]?

It would be great to use Nemo without all that mess. Thanks.

Update: the output of apt-cache policy:

$ sudo apt-cache policy nemo
nemo:
  Installed: 2.0.8-0~webupd8~saucy
  Candidate: 2.0.8-20140108010047-saucy
  Version table:
     2.0.8-20140108010047-saucy 0
        500 http://ppa.launchpad.net/gwendal-lebihan-dev/cinnamon-nightly/ubuntu/ saucy/main amd64 Packages
     2.0.8-20131203010044-saucy 0
        500 http://ppa.launchpad.net/gwendal-lebihan-dev/cinnamon-stable/ubuntu/ saucy/main amd64 Packages
 *** 2.0.8-0~webupd8~saucy 0
        100 /var/lib/dpkg/status
     1.8.4-1 0
        500 http://de.archive.ubuntu.com/ubuntu/ saucy/universe amd64 Packages
share|improve this question
    
Please add the output of apt-cache policy nemo to your question. –  Florian Diesch Jan 8 at 21:04
    
Are you using some PPA that could have nemo packaged?. –  Javier Rivera Jan 8 at 21:25

1 Answer 1

up vote 1 down vote accepted

You are installing nemo from a ppa. Those packages doesn't follow the same dependencies that the ones in the repositories.

This is the PPA:

dpkg-deb --info nemo_2.0.8-20140108010047-saucy_amd64.deb 
 new debian package, version 2.0.
 size 960944 bytes: control archive=1719 bytes.
    1529 bytes,    20 lines      control              
     988 bytes,    14 lines      md5sums              
     185 bytes,     7 lines   *  postinst             #!/bin/sh
     515 bytes,    18 lines   *  postrm               #!/bin/sh
 Package: nemo
 Version: 2.0.8-20140108010047-saucy
 Architecture: amd64
 Maintainer: Linux Mint <[email protected]>
 Installed-Size: 2366
 Depends: libatk1.0-0 (>= 1.32.0), libglib2.0-data, cinnamon-desktop-data, cinnamon-translations, cinnamon, libc6 (>= 2.14), libcairo-gobject2 (>= 1.10.0), libcairo2 (>= 1.10.0), libcinnamon-desktop0 (>= 2.0.4-20140107011539-saucy), libexempi3 (>= 2.2.0), libexif12, libgail-3-0 (>= 3.0.0), libgdk-pixbuf2.0-0 (>= 2.22.0), libglib2.0-0 (>= 2.37.3), libgtk-3-0 (>= 3.3.18), libnemo-extension1, libnotify4 (>= 0.7.0), libpango-1.0-0 (>= 1.20.0), libpangocairo-1.0-0 (>= 1.14.0), libx11-6, libxml2 (>= 2.7.4), nemo-data (= 2.0.8-20140108010047-saucy), shared-mime-info (>= 0.50), desktop-file-utils (>= 0.7), gvfs (>= 1.3.2)
 Recommends: eject, librsvg2-common, gvfs-backends, nemo-fileroller
 Suggests: eog, evince | pdf-viewer, totem | mp3-decoder, xdg-user-dirs
 Breaks: gnome-bluetooth (<< 3.0), gnome-session (<< 2.28), gnome-volume-manager (<< 2.24), rhythmbox (<< 0.12)

and this is the repositories:

apt-cache show nemo
Package: nemo
Source: nemo (1.8.4-1)
Version: 1.8.4-1+b1
Installed-Size: 2304
Maintainer: Nicolas Bourdaud <[email protected]>
Architecture: i386
Depends: desktop-file-utils (>= 0.7), gsettings-desktop-schemas, gvfs (>= 1.3.2), libglib2.0-data, nemo-data (= 1.8.4-1), shared-mime-info (>= 0.50), libatk1.0-0 (>= 1.32.0), libc6 (>= 2.7), libcairo-gobject2 (>= 1.10.0), libcairo2 (>= 1.10.0), libexempi3 (>= 2.2.0), libexif12, libgail-3-0 (>= 3.0.0), libgdk-pixbuf2.0-0 (>= 2.22.0), libglib2.0-0 (>= 2.35.9), libgnome-desktop-3-7 (>= 3.2.0), libgtk-3-0 (>= 3.3.18), libnemo-extension1 (>= 1.1.2), libnotify4 (>= 0.7.0), libpango-1.0-0 (>= 1.20.0), libpangocairo-1.0-0 (>= 1.14.0), libx11-6, libxml2 (>= 2.7.4)

As you can see, the PPA includes cinnamon package at the end, while the repo don't. If you are expecting that cinnamon doesn't get installed you should remove the PPA and use the repositories instead or open a bug to remove the cinnamon dependency.

share|improve this answer
    
Thanks Braiam, I'm feeling pretty dumb right now. I believe I registered the gwendal PPA to try rabbitvcs from there, it is (was?) not working from the official repos. –  Luís de Sousa Jan 9 at 7:37

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.